Bug 247630 - RFE: use results when satisfying build dependencies
RFE: use results when satisfying build dependencies
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Clark Williams
Depends On:
  Show dependency treegraph
Reported: 2007-07-10 10:59 EDT by Gerd Hoffmann
Modified: 2013-01-09 23:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-07 17:28:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2007-07-10 10:59:27 EDT
Description of problem:

It would be nice if mock would automatically prefer packages in
/var/lib/mock/<name>/results over packages in the yum repositories.  So you can
build multiple packages with one mock call (i.e. "mock foo.srpm bar.srpm") and
in case foo is a build dependency of bar the bar build will automatically use
the fresh foo packages to satisfy the build dependency.
Comment 1 Michael E Brown 2007-07-10 17:03:06 EDT
If you want to do this, you can trivially do it yourself in the mock config. Set
up a 'local' repository with a file:// pointer at the results directory. Run
createrepo to create yum metadata.

Adding specific functionality for this to mock doesnt fit with the goals of
mock. This is the sort of task that would be better handled at the next level
(koji), if you want it done automatically.
Comment 2 Clark Williams 2008-03-07 17:28:19 EST

Note You need to log in before you can comment on or make changes to this bug.